<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>order-group</artifactId>
        <groupId>cn.freemud</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <name>order-management</name>
    <artifactId>order-management</artifactId>
    <version>1.0.0-SNAPSHOT</version>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.11</version>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>sdk-common-base</artifactId>
            <version>1.3.9-SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <artifactId>assortment-data-manager</artifactId>
            <groupId>com.freemud.sdk.api.assortment</groupId>
            <version>4.3.0.RELEASE</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>takeawaycenter-sdk</artifactId>
            <version>1.2.3-SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>assortment-ordercenter-sdk</artifactId>
            <version>1.6.3-SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.freemud.sdk.api.assortment</groupId>
            <artifactId>assortment-payment-sdk</artifactId>
            <version>2.4.1-SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <artifactId>structure-center-sdk</artifactId>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>1.2.2.RELEASE</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.freemud.sdk.api.assortment</groupId>
            <artifactId>assortment-messagepush-sdk</artifactId>
            <version>2.6.3.RELEASE</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>storecenter-sdk</artifactId>
            <version>2.1.RELEASE</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>deliverycenter-sdk</artifactId>
            <version>1.5.RELEASE</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-base</artifactId>
            <version>1.5.1-release</version>
            <scope>provided</scope>
        </dependency>
        <!--freemud类库依赖-->
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-base</artifactId>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger2</artifactId>
            <version>2.7.0</version>
            <scope>provided</scope>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-core</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-beans</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-context</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-context-support</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-aop</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-tx</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-orm</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-jdbc</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-web</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-webmvc</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-oxm</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
            <version>2.7.0</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>

</project>
